



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Node与apidoc的邂逅——NodeJS Restful 的API文档生成</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Node与apidoc的邂逅——NodeJS Restful 的API文档生成</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 09:36:03 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　作为后台根据需求文档开发完成接口后，交付给前台（angular vue等）做开发，不可能让前台每个接口调用都去查看你的后台代码一点点查找。前台开发若不懂你的代码呢？让他一个接口一个接口去问你怎么调用，需要传递那些参数？调用方法？这样的话，微信公众号之类的二次开发去找谁要接口调用，这显然是不切合实际的。所以有一个后台接口调用的展示文档，对前后端分离的开发来说，非常实用。之前在.net 开发中使用过swagger作为后台接口API文档的生成方式。感觉很简单，一步到位。下面介绍一下在nodejs 中采用apidoc来生成Restful API 的接口文档。</p>
<p>　　1.首先APIDOC的官网，关于配置等内容可以参看说明</p>
<p>　　<a href="http://apidocjs.com" rel="external nofollow noreferrer">http://apidocjs.com</a></p>
<p>　　2.具体操作说明:</p>
<p>　　1)安装node环境（这个不多说），安装apidoc</p>
<div>
<pre class="prettyprint linenums">npm install apidoc -g</pre>
</div>
<p>　　2)打开你的项目，在根目录创建一个配置文件apidoc.json，里边的内容可参考我的配置:</p>
<div>
<pre class="prettyprint linenums">{<br />
  "name": "cms-server", // 你的项目名称，可以随便写<br />
  "version": "1.0.0", // 版本,书写没要求<br />
  "description": "cms-server项目API文档", // API文档的描述<br />
  "title": "cms-server API",  // API文档的标题<br />
  "url" : "http://localhost:3001/v1", // 项目接口的地址，如我的user接口：localhost:3001/v1/user<br />
  "sampleUrl": "http://localhost:3001/v1",<br />
  "forceLanguage":"zh-cn",<br />
  "template": {<br />
    "withCompare": true,<br />
    "withGenerator": true<br />
  }

}</pre>
</div>
<p>　　3)新建一个文件夹，用于存放你的APIDOC生成的文件，然后在项目的启动文件，如app.js添加下边一句话</p>
<div>
<pre class="prettyprint linenums">app.use('/apidoc存放的位置',express.static('apidoc存放的位置'));<br />
// 配置实例：若我放在public/apidoc,则对应配置为<br />
app.use('/public',express.static('public'));<br />
// 那么我访问的地址应该是:<br />
// localhost:3001/public/apidoc,他就会自动运行apidoc下生成的apidoc/index.html</pre>
</div>
<p>　　4)在对应的接口上添加注释，可参考下边的配置　</p>
<div>
<pre class="prettyprint linenums">/**<br />
 * 获得某个用户<br />
 * @api {GET} /api/users/:id 获得某个用户<br />
 * @apiDescription 根据ID获得某个用户<br />
 * @apiName getUser<br />
 * @apiParam (path参数) {Number} id<br />
 * @apiSampleRequest /api/users/5a45cefd080d7c39a036ca55<br />
 * @apiGroup User<br />
 * @apiVersion 1.0.0<br />
 */</pre>
</div>
<p>　　5) 生成API文档</p>
<div>
<pre class="prettyprint linenums">//apidoc -i '扫描接口的文件夹' -o '生成apidoc的位置'<br />
//如:<br />
apidoc -i app/api -o public/apidoc</pre>
</div>
<p>　　6)启动项目，访问http:localhost:3001/public/apidoc，就可以看到生成的api文档。</p>
<p>参考生成的api文档：</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1041005/201801/1041005-20180102132925003-1208122271.png" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8ollm18.html">【C&num;】让ReSharper灰色显示未使用的非私有成员的关键</a>
		</li>
						<li><a href="https://www.batexi.com/a/49g04e0q.html">PHP文件操作 读取与写入</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv63ry8.html">Android开发的那些坑和小技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnzvkoq.html">ubuntu下使用脚本交叉编译windows下使用的ffmpeg &plus; X264</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdem3rx9.html">&lbrack;Linux&rsqb; 修改主机名（hostname）</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vw5xj8.html">1&period;2UISwitch 1&period;3 自定义UIswitch 1&period;4pickerView</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eye4ge9.html">Oracle如何实现跨数据库查询</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zoj0dxq.html">2017&period;3&period;12 H5学习的第一周</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1rj2xq.html">&sol;usr&sol;lib&sol;x86&lowbar;64-linux-gnu&sol;libopencv&lowbar;highgui&period;so&period;2&period;4&period;9&colon; undefined reference toTIFFIsTiled&commat;LIBTIFF&lowbar;4&period;0&amp;&num;39&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/950dyk68.html">支付宝分库分表中间件--zdal简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjk5mj8.html">lower&lowbar;bound&lpar;）返回值</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zy25e9.html">计算机网络-TCP&sol;IP HTTP Conclusion</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyvkmk9.html">loadrunner断言多结果返回</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ow5le8.html">PC上图标显示异常 白色框框处理方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyzlzv9.html">jqprint的网页打印，打印预览可以包含图片</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zym7n19.html">centeros6&period;8 下安装mysql教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/8em3rwk9.html">Windows远程桌面Debian配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2kv34lq.html">BZOJ&period;4516&period;&lbrack;SCOI2016&rsqb;幸运数字&lpar;线性基 点分治&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpw6e49.html">HTTP 错误 401&period;0 - Unauthorized 的解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/95361km8.html">Maven项目结合POI导出Excl表格Demo-亲测可用</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8kplnp59.html">C&num;语言Devdevexpress控件chart在C&sol;S框架中的使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/9ge046e8.html">FreeImage库如何转换图片格式？</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mnp0m8.html">Nginx 开启gzip压缩&lpar;图片&comma;文件&comma;css&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlj2k469.html">shell脚本&mdash;&mdash;mysql</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zwddk9.html">mac 系统安装 eclipse 方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkryxd8.html">shell脚本 awk工具</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlj2v709.html">linux pxe网络装机无人值守</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojwyz5q.html">判断二叉树是否二叉排序树&lpar;BST&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zo2e13q.html">Android内核解读-应用的安装过程</a>
			</li>
						<li><a href="https://www.batexi.com/a/9ge0xr08.html">嵌入式Linux基于framebuffer的jpeg格式本地LCD屏显示</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
